Skip to main content
POST
/
unit-tests
/
{unitTestId}
/
run
Run unit test
curl --request POST \
  --url https://app.freyavoice.ai/api/v2/unit-tests/{unitTestId}/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entityVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "mockToolResults": {}
}
'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

unitTestId
string<uuid>
required

Body

application/json
entityVersionId
string<uuid>
mockToolResults
object
judgeLlmOverride
object

Response

Run enqueued

success
enum<boolean>
required
Available options:
true
data
object
required